%global srcname kaptan

Name:           python-%{srcname}
Version:        0.5.5
Release:        8%{?dist}
Summary:        Configuration parser

License:        BSD
URL:            https://pypi.python.org/pypi/%{srcname}
Source0:        https://github.com/emre/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-PyYAML

%description
configuration parser.

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
configuration parser.


%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build
%install
%py3_install

%check
%{__python3} setup.py test

# Note that there is no %%files section for the unversioned python module if we are building for several python runtimes

# A man page has been requested upstream here:
# https://github.com/emre/kaptan/issues/44
%files -n python3-%{srcname}
%license LICENSE
%doc README.md
%{python3_sitelib}/*
%{_bindir}/%{srcname}

%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Sep 18 2018 Randy Barlow <bowlofeggs@fedoraproject.org> - 0.5.5-7
- Drop python2-kaptan (#1630280).

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 19 2018 Miro Hrončok <mhroncok@redhat.com> - 0.5.5-5
- Rebuilt for Python 3.7

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sat Dec 17 2016 David Roble <robled@electronsweatshop.com> 0.5.5-1
- Initial release
